clear 
close all
if ~exist('NumEigs','var')
  NumEigs=6; % Number of eigenvalues (and eigenvectors) to find
end
if ~exist('N','var')
  N=75;
end
sigma='sm';
L=2; % integer
H=3; % integer
I=1:NumEigs; %
Th=fc_simesh.HyperCube(2,[L*N,H*N],'trans',@(q) [L*q(1,:);H*q(2,:)]);
fprintf('     Mesh sizes : nq=%d\n',Th.nq);
dim=2;d=2;
Lop=Loperator(dim,d,{1,0;0,1},[],[],[]);
pde=PDEelt(Lop);
bvp=BVP(Th,pde);
for lab=1:4
  bvp.setDirichlet( lab, 0);
end


% Computation of numerical eigenvectors and eigenvalues
[eVec,lambda,flag]=fc_vfemp1.addon.eigs.solve(bvp,NumEigs,'sm');
if flag~=0, warning('function eigs trouble: not all eigenvalues converged!');end

% Computation of exacts eigenvectors and eigenvalues
[exEigsVec,exEigsVal]=fc_vfemp1.addon.eigs.samples.LaplacianEigenOnRectangle(Th,L,H,NumEigs);

%fc_vfemp1.addon.eigs.plot(Th,numEigsVec,numEigsVal)
[eVec,lambda]=fc_vfemp1.addon.eigs.splitsort(bvp,eVec,lambda);
fc_vfemp1.addon.eigs.errors(Th,eVec,lambda,exEigsVec,exEigsVal,'graphics',true);

